Name:           perl-Test-Most
Version:        0.31
Release:        1%{?dist}
Summary:        Most commonly needed test functions and features
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Test-Most/
Source0:        http://www.cpan.org/authors/id/O/OV/OVID/Test-Most-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl >= 0:5.006
BuildRequires:  perl(Data::Dumper::Names) >= 0.03
BuildRequires:  perl(Exception::Class) >= 1.14
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Test::Deep) >= 0.106
BuildRequires:  perl(Test::Differences) >= 0.61
BuildRequires:  perl(Test::Exception) >= 0.31
BuildRequires:  perl(Test::Harness) >= 3.21
BuildRequires:  perl(Test::More) >= 0.88
BuildRequires:  perl(Test::Warn) >= 0.23
Requires:       perl(Data::Dumper::Names) >= 0.03
Requires:       perl(Exception::Class) >= 1.14
Requires:       perl(Test::Deep) >= 0.106
Requires:       perl(Test::Differences) >= 0.61
Requires:       perl(Test::Exception) >= 0.31
Requires:       perl(Test::Harness) >= 3.21
Requires:       perl(Test::More) >= 0.88
Requires:       perl(Test::Warn) >= 0.23
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Test::Most exists to reduce boilerplate and to make your testing life
easier. We provide "one stop shopping" for most commonly used testing
modules. In fact, we often require the latest versions so that you get bug
fixes through Test::Most and don't have to keep upgrading these modules
separately.

%prep
%setup -q -n Test-Most-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%install
rm -rf $RPM_BUILD_ROOT

./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes META.json README xt
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Dec 14 2012 Dave Cross <dave@mag-sol.com> 0.31-1
- Specfile autogenerated by cpanspec 1.78.
